package com.dgtly.sync.mapper;

import com.dgtly.sync.domain.MetaUserinfoAll;
import java.util.List;

/**
 * 立邦用户数据Mapper接口
 * 
 * @author qxp
 * @date 2020-07-16
 */
public interface MetaUserinfoAllMapper 
{
    /**
     * 查询立邦用户数据
     * 
     * @param id 立邦用户数据ID
     * @return 立邦用户数据
     */
    public MetaUserinfoAll selectMetaUserinfoAllById(Long id);

    /**
     * 查询立邦用户数据列表
     * 
     * @param metaUserinfoAll 立邦用户数据
     * @return 立邦用户数据集合
     */
    public List<MetaUserinfoAll> selectMetaUserinfoAllList(MetaUserinfoAll metaUserinfoAll);

    /**
     * 新增立邦用户数据
     * 
     * @param metaUserinfoAll 立邦用户数据
     * @return 结果
     */
    public int insertMetaUserinfoAll(MetaUserinfoAll metaUserinfoAll);

    /**
     * 修改立邦用户数据
     * 
     * @param metaUserinfoAll 立邦用户数据
     * @return 结果
     */
    public int updateMetaUserinfoAll(MetaUserinfoAll metaUserinfoAll);

    /**
     * 删除立邦用户数据
     * 
     * @param id 立邦用户数据ID
     * @return 结果
     */
    public int deleteMetaUserinfoAllById(Long id);

    /**
     * 批量删除立邦用户数据
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteMetaUserinfoAllByIds(String[] ids);
}
